## generic_a15-user 12 SP1A.210812.016 eng.huawei.20240828.172042 dev-keys
- Manufacturer: unknown
- Platform: kirin9000
- Codename: kirin9000
- Brand: kirin9000
- Flavor: user
- Release Version: 12
- Kernel Version: 5.10.43
- Id: SP1A.210812.016
- Incremental: 20240828190401
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: false
- Treble Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: kirin9000/kirin9000/kirin9000:kirin9000/SP1A.210812.016/huawei08281903:user/release-keys
- OTA version: 
- Branch: generic_a15-user-12-SP1A.210812.016-eng.huawei.20240828.172042-dev-keys
- Repo: kirin9000/kirin9000
